      SUBROUTINE BAROFF(XL,XR,YB,YT,IMAIN)                              BARO001
C----------------------------------------------------------------------+BARO002
C                                                                       BARO003
C  SUBROUTINE BAROFF  -  Plot markers showing that there are data       BARO004
C                        points off the scales of the graph             BARO005
C                                                                       BARO006
C----------------------------------------------------------------------+BARO007
                                                                        BARO008
      INCLUDE 'bplot.inc'                                               BARO009
                                                                        BARO010
      CHARACTER*5   LABEL                                               BARO011
      INTEGER       IFROM, IMAIN                                        BARO012
      REAL          XL, XR, XT1, XT2, YB, YMID, YT, YT1, YT2            BARO013
                                                                        BARO014
C---- Initialise                                                        BARO015
      CALL PSLWID(0.1)                                                  BARO016
      YT1 = YB + 0.90 * (YT - YB)                                       BARO017
      YT2 = YB + 0.95 * (YT - YB)                                       BARO018
      YMID = (YT1 + YT2) / 2.0                                          BARO019
                                                                        BARO020
C---- If there are points to the left of the graph, plot the marker     BARO021
      IF (BCOUNT(MXBARS+1,IMAIN).NE.0) THEN                             BARO022
          GOTOFF = .TRUE.                                               BARO023
          XT1 = XL + 0.03 * (XR - XL)                                   BARO024
          XT2 = XL + 0.06 * (XR - XL)                                   BARO025
          CALL PSHADE(0.0,COLPLT(PLTYPE,4),RGB,MXCOLR,INCOLR(PLTYPE))   BARO026
          CALL PSTRIA(XT1,YMID,XT2,YT1,XT2,YT2)                         BARO027
                                                                        BARO028
C----     Write out the number off the scale                            BARO029
          WRITE(LABEL,10) BCOUNT(MXBARS+1,IMAIN)                        BARO030
 10       FORMAT(I5)                                                    BARO031
          IFROM = 1                                                     BARO032
          IF (LABEL(1:1).EQ.' ') IFROM = 2                              BARO033
          IF (LABEL(2:2).EQ.' ') IFROM = 3                              BARO034
          IF (LABEL(3:3).EQ.' ') IFROM = 4                              BARO035
          IF (LABEL(4:4).EQ.' ') IFROM = 5                              BARO036
          CALL PSCTXT(XT2+5.0,YMID,8.0,LABEL(IFROM:5))                  BARO037
      ENDIF                                                             BARO038
                                                                        BARO039
C---- If there are points to the right of the graph, plot the marker    BARO040
      IF (BCOUNT(MXBARS+2,IMAIN).NE.0) THEN                             BARO041
          GOTOFF = .TRUE.                                               BARO042
          XT1 = XL + 0.95 * (XR - XL)                                   BARO043
          XT2 = XL + 0.92 * (XR - XL)                                   BARO044
          CALL PSHADE(0.0,COLPLT(PLTYPE,4),RGB,MXCOLR,INCOLR(PLTYPE))   BARO045
          CALL PSTRIA(XT1,YMID,XT2,YT1,XT2,YT2)                         BARO046
                                                                        BARO047
C----     Write out the number off the scale                            BARO048
          WRITE(LABEL,10) BCOUNT(MXBARS+2,IMAIN)                        BARO049
          IFROM = 1                                                     BARO050
          IF (LABEL(1:1).EQ.' ') IFROM = 2                              BARO051
          IF (LABEL(2:2).EQ.' ') IFROM = 3                              BARO052
          IF (LABEL(3:3).EQ.' ') IFROM = 4                              BARO053
          IF (LABEL(4:4).EQ.' ') IFROM = 5                              BARO054
          CALL PSCTXT(XT2-5.0,YMID,8.0,LABEL(IFROM:5))                  BARO055
      ENDIF                                                             BARO056
                                                                        BARO057
      RETURN                                                            BARO058
      END                                                               BARO059
